> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semilattice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a project

> Create a project. Create one first when you plan to run several related
simulations, then pass its id as project_id when creating simulations.



## OpenAPI

````yaml https://api.semilattice.ai/openapi.json post /v1/projects
openapi: 3.1.0
info:
  title: Semilattice API
  description: API for human behaviour simulation.
  contact:
    name: Semilattice API
    url: https://semilattice.ai/
    email: support@semilattice.ai
  version: v1.0.0
servers: []
security: []
paths:
  /v1/projects:
    post:
      tags:
        - Projects
      summary: Create a project
      description: |-
        Create a project. Create one first when you plan to run several related
        simulations, then pass its id as project_id when creating simulations.
      operationId: create_project_route_v1_projects_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            type: string
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProjectBody'
              default: {}
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateProjectBody:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Optional project name; defaults to 'New project'
      type: object
      title: CreateProjectBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````